Bug 170895 - fstab dramatically shortened, unknown cause
fstab dramatically shortened, unknown cause
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 03:51 EDT by Oliver Cole
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 06:20:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Cole 2005-10-15 03:51:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The symptoms begin when the machine boots fine, but attempting to start Gnome Terminal results in an error: "There was an error creating a child process for this terminal".

Rebooting then results in the graphical boot grinding to a halt, if you switch to the first console, you can see errors spewed all over the screen regarding inability to write to certain files in /var/ because its a readonly filesystem.

Booting in Knoppix and looking at the fstab produces one of two things (so far):

The first time this bug occurred, something had removed the line breaks in all but the last 3 lines (thats significant IMO, keep reading) of fstab, and replaced them with something that appeared as ^M in vim. I replaced these with proper linebreaks, rebooted, and everything was fine until today.  I believe the gnome-terminal error is caused by the fact that it couldn't see a /dev/pts mount line.

Today however, I got the same symptoms, including the reboot, and when I rebooted to Knoppix, my fstab had been reduced to the last 3 lines:

# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/sdb1               /media/usbdisk1         vfat    pamconsole,exec,noauto,managed 0 0
/dev/fd0                /media/floppy1          auto    pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrom1           auto    pamconsole,exec,noauto,managed 0 0

These are the same three lines that were left undamaged the previous time this bug occurred. Rewriting /dev/pts and root filesystem lines and rebooting fixed the problem.

Between the first and second occurrence, I did do some (correct) editing of my fstab, and I did notice two copies of the:

# This file is edited by fstab-sync - see 'man fstab-sync' for details

line present. Maybe more than one copy is editing it and getting confused?

I believe this is also related to bug 161780: "Strange word in /etc/fstab '^M SpotFunctio'", at which you can see my 'me too' report.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
I do not currently know how to reproduce this on my machine, as the first time it happened I had done a "yum update", but I hadn't the second time.

Both times, I had edited /etc/fstab by hand (correctly), and done yum isntallations of other software, so I don't know which is causing it.
  

Actual Results:  When bug occurred, fstab corrupted.

Expected Results:  fstab not to be corrupted.

Additional info:

I feel that this may be relevant to bug 161780, as I also experienced this bug.
Comment 1 Christian Iseli 2007-01-19 19:46:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Oliver Cole 2007-01-20 06:20:51 EST
Have been unable to reproduce since on FC4, not currently upgrading original
box. Will reopen if I can repro on recent version at a later date.

Note You need to log in before you can comment on or make changes to this bug.